Name:           newa
Version:        0.1.dev888
Release:        1.20250103090512363934.pr154%{?dist}
Summary:        New Errata Workflow

License:        MIT
URL:            https://github.com/RedHatQE/newa
Source0:        newa-0.1.0.dev140+ga2d0872.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-jira

%py_provides    python3-newa

%description
The newa Python module and command line tool used for errata
workflow automation.

%prep
%autosetup -p1 -n newa-0.1.0.dev140+ga2d0872

%generate_buildrequires
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files newa

%check
%pyproject_check_import

%files -n newa -f %{pyproject_files}
%doc README.md
%{_bindir}/newa

%changelog
* Fri Jan 3 2025 Packit <hello@packit.dev> - 0.1.dev888-1.20250103090512363934.pr154
- Development snapshot (a2d0872b)

* Thu June 06 2024 Miroslav Vadkerti <mvadkert@redhat.com> - 0.1-1
- Initial packaging
